<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
	</head>

	<body>
		<div class="seach_form_box box_shadow border5 clearfix margin20">
			<div class="seach_form">
				<form id="memberSearchForm" method="post">
					<ul class="clearfix">
						<li>
							<div>
								<span>会员编号:</span>
								<input id="equalMemberCode" name="equalMemberCode" size="16" type="text" class="form-control" value="">
							</div>
						</li>
						<li>
							<div>
								<span>姓名:</span>
								<input id="likeMemberName" name="likeMemberName" size="16" type="text" class="form-control" value="">
							</div>
						</li>
					</ul>
					<ul class="clearfix">
						<li>
							<div>
								<span>手机号:</span>
								<input id="equalMobile" name="equalMobile" size="16" type="text" class="form-control" value="">
							</div>
						</li>
					</ul>
					<button id="seachTask" type="button" class="btn common_content_seacch_btn"></button>
				</form>
			</div>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="memberInfoTable" class="easyui-datagrid" style="width:100%;height:500px" data-options="method:'post'">
				<thead>
					<tr>
						<th data-options="field:'memberId',hidden:true"></th>
						<th data-options="field:'memberCode',width:180,align:'center',halign:'center'">会员编号</th>
						<th data-options="field:'memberName',width:200,align:'center',halign:'center'">姓名</th>
						<th data-options="field:'mobile',width:180,align:'center',halign:'center'">手机号</th>
						<th data-options="field:'pointsBalance',width:150,align:'center',halign:'center'">积分余额</th>
						<th data-options="field:'operation',width:150,align:'center',halign:'center',formatter:pointsRevise">操作</th>
					</tr>
				</thead>
			</table>
		</div>
		
		<div id="points_Detail" class="mask clearfix none" >
			<form id="save_form">
			<div class="detailed xitongpeizhi_detailed  tabPanel" style="margin-top:10px;">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">积分调账</div>
				<!-- <ul>
				   <li>
				     <span><span class="mustInput">*</span>会员编号</span>
                     <input id="memberId" name="memberId" type="hidden" value="">
					 <input id="memberCode" name="memberCode" data-options="required:true,length:'100'" size="16" type="text" class="form-control input140" value="" readonly>
				   </li>
				   <li>
				      <span><span class="mustInput">*</span>权益名称</span>
                      <input id="itemPointsNumber" name="itemPointsNumber" data-options="length:'100',validType:'number'" size="16" type="text" class="form-control input140" value="" onblur="validateNumber();">
                   </li>
                   <li>
				      <span><span class="mustInput">*</span>积分类型</span>
				      <div>
                      <input type="hidden" name="pointsTypeId" id="pointsTypeId"  />
					  <input size="16" type="text" class="form-control"  id="pointsTypeText" input-type="select"  readonly >
					  <ul class="dropdown-menu" id="pointsTypeIdSelect" data="$.POINTS_TYPE">
					  </ul>					
					  <i id="pointsTypeIdSelect_i" class="input_icon input_down"></i>
                      </div>
                  </li>
				  
				</ul> -->
				<div class="row">
					<div class="col-xs-2 msg"><span style="margin-right: 10px;color:red;">*</span>会员编号</div>
					<div class="col-xs-9 msg">
					 <input id="memberId" name="memberId" type="hidden" value="">
					 <input id="memberCode" name="memberCode" data-options="required:true,length:'100'" size="16" type="text" class="form-control input140" value="" readonly>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-2 msg"><span style="margin-right: 10px;color:red;">*</span>调账数量</div>
					<div class="col-xs-9 msg">
					 <input id="itemPointsNumber" name="itemPointsNumber" data-options="length:'100',validType:'number'" size="16" type="text" class="form-control input140" value="" onblur="validateNumber();">
					</div>
				</div>
				<div class="row">
					<div class="col-xs-2 msg"><span style="margin-right: 10px;color:red;">*</span>积分类型</div>
					<div class="col-xs-3 msg" style="width:140px;">
					 <input type="hidden" name="pointsTypeId" id="pointsTypeId"  />
						<input size="16" type="text" class="form-control"  id="pointsTypeText" input-type="select"  readonly >
						<ul class="dropdown-menu" id="pointsTypeIdSelect" data="$.POINTS_TYPE">
						</ul>					
						<i id="pointsTypeIdSelect_i" class="input_icon input_down"></i>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-2 msg"><span style="margin-right: 10px;color:red;">*</span>过期时间</div>
					<div class="col-xs-9 msg">
						<input id="invalidDate" name="invalidDate" class="Wdate date_input" type="text" onFocus="WdatePicker({minDate:'%y-%M-#{%d+1}',maxDate:'#F{\'2099-12-31\'}',isShowToday:false})"/>
					    &nbsp;&nbsp;<input type="checkbox" id="never_Invalid" name="never_Invalid" value="Y"/>永久有效
					</div>
				</div>
				<div class="row">
					<div class="col-xs-2 msg"><span style="margin-right: 10px;color:red;">*</span>调账原因</div>
					<div class="col-xs-9 msg">
						<textarea class="form-control" id="pointsReason" name="pointsReason" rows="3" cols="" data-options="required:true,length:'100'"></textarea>
					</div>
				</div>
				<button id="save_btn" onclick="doSave('save')" type="button" class="btn btn-success btn-block choose_btn">保存</button>
			</div>
			</form>
		</div>
		
		<script type="text/javascript">
			//全局变量  
			function pointsRevise(value,row,index){
				return "<a href='#' onclick=\"pointsReviseAdd('"+row.memberCode+"','"+row.memberId+"');\">积分调账</a>";
			}
			$(function() {
				require(['view/points/pointsRevise'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>